Create a new private script in the user's vault.
Create a new private script in the user's vault.
POST
/api/scriptsBody
namestringrequireddescriptionstringscriptstringrequiredscript_typeenumrequiredOne of: bash, python, golang, node
source_urlstring | enumdoc_linkstring | enumRequest
curl
curl -X POST https://platform.trickest.com/api/scripts \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Script created successfully
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring